petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatISGetLocalMat

Gets the local matrix stored inside a MATIS matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetLocalMat(Mat mat,Mat *local)

### Input Parameter

mat -the matrix

### Output Parameter

local -the local matrix

### Notes

This can be called if you have precomputed the nonzero structure of the matrix and want to provide it to the inner matrix object to improve the performance of the MatSetValues() operation.

### See Also

MATIS

Level:advanced
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages